Certificat de package Mac expiré

Le certificat utilisé pour mettre à jour les packages et authentifier le programme d’installation d’Adobe Acrobat et Reader sous Mac a expiré le 21 février 2017. En raison de cette expiration, macOS a commencé à signaler de nombreux correctifs ou programmes d’installation Acrobat ou Reader comme étant non authentifiésou ayant expiré.

Les correctifs et programmes d’installation suivants sont concernés :

  • Packages Acrobat DC Continuous antérieurs à 15.016.20041
  • Packages Acrobat Reader DC Continuous antérieurs à 15.016.20039
  • Packages Acrobat DC 2015 antérieurs à 15.006.30173
  • Packages Acrobat Reader DC 2015 antérieurs à 15.006.30172
  • Packages Acrobat et Reader XI antérieurs à 11.0.17

Si vous essayez d’installer l’un des packages concernés, l’avertissement suivant s’affiche :

Le certificat du package d’installation a expiré

Si vous essayez d’installer ces packages en utilisant la ligne de commande, macOS bloque l’installation, et l’installation échoue.

Solution : téléchargez la dernière version ou le correctif

Programmes d’installation complets

Les derniers programmes d’installation complets ne sont pas affectés par ce problème. Si un package d’installation complet Acrobat/Reader affiche un avertissement, téléchargez la version la plus récente.

Les packages d’installation à cet emplacement doivent être actualisés. Vous ne devriez rencontrer aucun problème lors de l’installation des derniers packages. 

Correctifs

Les derniers correctifs pour toutes les pistes ne présentent pas ce problème. Adobe recommande d’installer les dernières mises à jour :

Notez que tous ces packages peuvent s’installer sans aucun problème et sans avertissement. Cependant, si vous cherchez explicitement la chaîne de certificats utilisée pour authentifier le package en cliquant sur l’icône en forme de cadenas, vous verrez que le certificat a expiré, comme suit :

Message d’erreur si un certificat a expiré

Cependant, la signature de package est valide et le système d’exploitation n’empêche aucunement l’installation, comme vous pouvez le constater à l’aide de la commande pkgutil :

pkgutil --check-signature <path to the pkg file>

Voici un exemple de code de sortie pour le package Acrobat 11.0.19. Il indique que le package est authentifié par un certificat, lui-même approuvé par le système d’exploitation :

La commande pkgutil

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne